diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index 4e9d5a75..c968892a 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -1,138 +1,160 @@
 <?xml version='1.0' encoding='UTF-8'?><wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="family.ws.maelis.sigec.com" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="FamilyService" targetNamespace="family.ws.maelis.sigec.com">
   <wsdl:types>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:tns="family.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.ws.maelis.sigec.com" xmlns:ns1="bean.persistence.family.ws.maelis.sigec.com" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="family.ws.maelis.sigec.com">
-  <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:tns="family.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns1="bean.persistence.ws.maelis.sigec.com" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="family.ws.maelis.sigec.com">
   <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
+  <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
   <xs:import namespace="http://www.w3.org/2005/05/xmlmime"/>
+  <xs:import namespace="bean.persistence.site.ws.maelis.sigec.com"/>
+  <xs:element name="addChildVaccinList" type="tns:addChildVaccinList"/>
+  <xs:element name="addChildVaccinListResponse" type="tns:addChildVaccinListResponse"/>
   <xs:element name="addSuppliedDocument" type="tns:addSuppliedDocument"/>
   <xs:element name="addSuppliedDocumentResponse" type="tns:addSuppliedDocumentResponse"/>
   <xs:element name="createChild" type="tns:createChild"/>
   <xs:element name="createChildResponse" type="tns:createChildResponse"/>
   <xs:element name="createFamily" type="tns:createFamily"/>
   <xs:element name="createFamilyResponse" type="tns:createFamilyResponse"/>
   <xs:element name="createOrUpdateChildDiet" type="tns:createOrUpdateChildDiet"/>
   <xs:element name="createOrUpdateChildDietResponse" type="tns:createOrUpdateChildDietResponse"/>
   <xs:element name="createOrUpdateFSL" type="tns:createOrUpdateFSL"/>
   <xs:element name="createOrUpdateFSLResponse" type="tns:createOrUpdateFSLResponse"/>
   <xs:element name="createUpdateQuotient" type="tns:createUpdateQuotient"/>
   <xs:element name="createUpdateQuotientResponse" type="tns:createUpdateQuotientResponse"/>
   <xs:element name="deletesubscribe" type="tns:deletesubscribe"/>
   <xs:element name="deletesubscribeResponse" type="tns:deletesubscribeResponse"/>
   <xs:element name="getActivityRate" type="tns:getActivityRate"/>
   <xs:element name="getActivityRateResponse" type="tns:getActivityRateResponse"/>
+  <xs:element name="getChildSubscribeSchoolInformation" type="tns:getChildSubscribeSchoolInformation"/>
+  <xs:element name="getChildSubscribeSchoolInformationResponse" type="tns:getChildSubscribeSchoolInformationResponse"/>
   <xs:element name="getLevel" type="tns:getLevel"/>
   <xs:element name="getLevelResponse" type="tns:getLevelResponse"/>
   <xs:element name="isChildExists" type="tns:isChildExists"/>
   <xs:element name="isChildExistsResponse" type="tns:isChildExistsResponse"/>
   <xs:element name="isRLExists" type="tns:isRLExists"/>
   <xs:element name="isRLExistsResponse" type="tns:isRLExistsResponse"/>
   <xs:element name="isWSRunning" type="tns:isWSRunning"/>
   <xs:element name="isWSRunningResponse" type="tns:isWSRunningResponse"/>
   <xs:element name="readCSPList" type="tns:readCSPList"/>
   <xs:element name="readCSPListResponse" type="tns:readCSPListResponse"/>
   <xs:element name="readCategoryList" type="tns:readCategoryList"/>
   <xs:element name="readCategoryListResponse" type="tns:readCategoryListResponse"/>
+  <xs:element name="readChildIndicatorList" type="tns:readChildIndicatorList"/>
+  <xs:element name="readChildIndicatorListResponse" type="tns:readChildIndicatorListResponse"/>
   <xs:element name="readCivilityList" type="tns:readCivilityList"/>
   <xs:element name="readCivilityListResponse" type="tns:readCivilityListResponse"/>
+  <xs:element name="readCountryList" type="tns:readCountryList"/>
+  <xs:element name="readCountryListResponse" type="tns:readCountryListResponse"/>
+  <xs:element name="readCountyList" type="tns:readCountyList"/>
+  <xs:element name="readCountyListResponse" type="tns:readCountyListResponse"/>
   <xs:element name="readDietCodeList" type="tns:readDietCodeList"/>
   <xs:element name="readDietCodeListResponse" type="tns:readDietCodeListResponse"/>
   <xs:element name="readFamily" type="tns:readFamily"/>
   <xs:element name="readFamilyByPassword" type="tns:readFamilyByPassword"/>
   <xs:element name="readFamilyByPasswordResponse" type="tns:readFamilyByPasswordResponse"/>
   <xs:element name="readFamilyResponse" type="tns:readFamilyResponse"/>
   <xs:element name="readOrganList" type="tns:readOrganList"/>
   <xs:element name="readOrganListResponse" type="tns:readOrganListResponse"/>
   <xs:element name="readPAIList" type="tns:readPAIList"/>
   <xs:element name="readPAIListResponse" type="tns:readPAIListResponse"/>
   <xs:element name="readQualityList" type="tns:readQualityList"/>
   <xs:element name="readQualityListResponse" type="tns:readQualityListResponse"/>
   <xs:element name="readQuotientList" type="tns:readQuotientList"/>
   <xs:element name="readQuotientListResponse" type="tns:readQuotientListResponse"/>
+  <xs:element name="readRLIndicatorList" type="tns:readRLIndicatorList"/>
+  <xs:element name="readRLIndicatorListResponse" type="tns:readRLIndicatorListResponse"/>
   <xs:element name="readSituationList" type="tns:readSituationList"/>
   <xs:element name="readSituationListResponse" type="tns:readSituationListResponse"/>
   <xs:element name="readStreetList" type="tns:readStreetList"/>
   <xs:element name="readStreetListResponse" type="tns:readStreetListResponse"/>
+  <xs:element name="readTownList" type="tns:readTownList"/>
+  <xs:element name="readTownListResponse" type="tns:readTownListResponse"/>
   <xs:element name="readVaccinList" type="tns:readVaccinList"/>
   <xs:element name="readVaccinListResponse" type="tns:readVaccinListResponse"/>
   <xs:element name="subscribeActivity" type="tns:subscribeActivity"/>
   <xs:element name="subscribeActivityResponse" type="tns:subscribeActivityResponse"/>
   <xs:element name="subscribeSchool" type="tns:subscribeSchool"/>
   <xs:element name="subscribeSchoolResponse" type="tns:subscribeSchoolResponse"/>
   <xs:element name="updateChildAutorization" type="tns:updateChildAutorization"/>
   <xs:element name="updateChildAutorizationResponse" type="tns:updateChildAutorizationResponse"/>
-  <xs:element name="updateChildIndicators" type="tns:updateChildIndicators"/>
-  <xs:element name="updateChildIndicatorsResponse" type="tns:updateChildIndicatorsResponse"/>
   <xs:element name="updateChildMedicalRecord" type="tns:updateChildMedicalRecord"/>
   <xs:element name="updateChildMedicalRecordResponse" type="tns:updateChildMedicalRecordResponse"/>
   <xs:element name="updateChildPAI" type="tns:updateChildPAI"/>
   <xs:element name="updateChildPAIResponse" type="tns:updateChildPAIResponse"/>
   <xs:element name="updateCoordinate" type="tns:updateCoordinate"/>
   <xs:element name="updateCoordinateResponse" type="tns:updateCoordinateResponse"/>
   <xs:element name="updateFamily" type="tns:updateFamily"/>
   <xs:element name="updateFamilyEmergencyPersonList" type="tns:updateFamilyEmergencyPersonList"/>
   <xs:element name="updateFamilyEmergencyPersonListResponse" type="tns:updateFamilyEmergencyPersonListResponse"/>
   <xs:element name="updateFamilyResponse" type="tns:updateFamilyResponse"/>
   <xs:element name="updateFamilySituation" type="tns:updateFamilySituation"/>
   <xs:element name="updateFamilySituationResponse" type="tns:updateFamilySituationResponse"/>
+  <xs:element name="updatePersonIndicatorList" type="tns:updatePersonIndicatorList"/>
+  <xs:element name="updatePersonIndicatorListResponse" type="tns:updatePersonIndicatorListResponse"/>
   <xs:complexType name="deletesubscribe">
     <xs:sequence>
       <xs:element name="numPerson" type="xs:int"/>
       <xs:element name="idActivite" type="xs:string"/>
       <xs:element name="dateRefDelete" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="deletesubscribeResponse">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="updateChildIndicators">
+  <xs:complexType name="readRLIndicatorList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readRLIndicatorListResponse">
     <xs:sequence>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element maxOccurs="unbounded" name="indicatorsLst" type="ns1:indicatorValueUpdBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="rlIndicatorList" type="ns2:indicatorReadBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType abstract="true" name="abstractSpecRequestBean">
+  <xs:complexType abstract="true" name="abstractSpecResultBean">
     <xs:complexContent>
       <xs:extension base="tns:abstractSpecBean">
         <xs:sequence/>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
   <xs:complexType abstract="true" name="abstractSpecBean">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="updateChildIndicatorsResponse">
-    <xs:sequence/>
-  </xs:complexType>
   <xs:complexType name="readQuotientList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readQuotientListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readDietCodeList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readDietCodeListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createOrUpdateChildDiet">
     <xs:sequence>
       <xs:element name="personNumber" type="xs:int"/>
       <xs:element name="code" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createOrUpdateChildDietResponse">
     <xs:sequence/>
   </xs:complexType>
+  <xs:complexType name="readCountyList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readCountyListResponse">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+    </xs:sequence>
+  </xs:complexType>
   <xs:complexType name="readFamily">
     <xs:sequence>
       <xs:element name="dossierNumber" type="xs:int"/>
       <xs:element minOccurs="0" name="schoolYear" type="xs:string"/>
       <xs:element minOccurs="0" name="incomeYear" type="xs:string"/>
       <xs:element minOccurs="0" name="referenceYear" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
@@ -147,39 +169,49 @@
       <xs:element minOccurs="0" name="category" type="xs:string"/>
       <xs:element minOccurs="0" name="situation" type="xs:string"/>
       <xs:element minOccurs="0" name="flagCom" type="xs:boolean"/>
       <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbTotalChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbAES" type="xs:string"/>
       <xs:element minOccurs="0" name="RL1" type="tns:rlInfoBean"/>
       <xs:element minOccurs="0" name="RL2" type="tns:rlInfoBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="quotientList" nillable="true" type="ns1:familyQuotientBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="emergencyPersonList" nillable="true" type="ns1:emergencyPersonBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="childList" nillable="true" type="ns1:childInfoBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns1:indicatorValueBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="quotientList" nillable="true" type="ns2:familyQuotientBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childList" nillable="true" type="ns2:childInfoBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="emergencyPersonList" nillable="true" type="ns2:emergencyPersonBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns2:indicatorValueBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="rlInfoBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="num" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
       <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="maidenName" type="xs:string"/>
       <xs:element name="quality" type="xs:string"/>
       <xs:element name="civility" type="xs:string"/>
-      <xs:element name="dateBirth" type="xs:dateTime"/>
-      <xs:element name="adresse" type="ns1:addressBean"/>
-      <xs:element minOccurs="0" name="contact" type="ns1:contactBean"/>
-      <xs:element minOccurs="0" name="profession" type="ns1:professionBean"/>
-      <xs:element minOccurs="0" name="CAFInfo" type="ns1:cafInfoBean"/>
+      <xs:element minOccurs="0" name="birth" type="tns:birthInfoBean"/>
+      <xs:element name="adresse" type="ns2:addressBean"/>
+      <xs:element minOccurs="0" name="contact" type="ns2:contactBean"/>
+      <xs:element minOccurs="0" name="profession" type="ns2:professionBean"/>
+      <xs:element minOccurs="0" name="CAFInfo" type="ns2:cafInfoBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns2:indicatorBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="quotientList" nillable="true" type="tns:familyQuotientRedvBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeActivityList" nillable="true" type="tns:subscribeActivityBean"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType name="birthInfoBean">
+    <xs:sequence>
+      <xs:element name="dateBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="place" type="xs:string"/>
+      <xs:element minOccurs="0" name="communeCode" type="xs:string"/>
+      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
   <xs:complexType name="familyQuotientRedvBean">
     <xs:sequence>
       <xs:element name="yearRev" type="xs:int"/>
       <xs:element name="dateStart" type="xs:dateTime"/>
       <xs:element name="dateEnd" type="xs:dateTime"/>
       <xs:element name="mtt" type="xs:double"/>
       <xs:element name="cdquo" type="xs:string"/>
       <xs:element minOccurs="0" name="codeUti" type="xs:string"/>
@@ -192,98 +224,74 @@
       <xs:element minOccurs="0" name="libelleTypeIns" type="xs:string"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribesUnit" nillable="true" type="tns:subscribeUnitBean"/>
       <xs:element minOccurs="0" name="place" type="xs:string"/>
       <xs:element minOccurs="0" name="planningHebdomadaire" type="xs:string"/>
       <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
       <xs:element minOccurs="0" name="libelleTypeConsum" type="xs:string"/>
       <xs:element minOccurs="0" name="comment" type="xs:string"/>
       <xs:element minOccurs="0" name="idActivity" type="xs:string"/>
-      <xs:element minOccurs="0" name="typeActivity" type="ns1:activityTypeBean"/>
+      <xs:element minOccurs="0" name="typeActivity" type="ns2:activityTypeBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeUnitBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
       <xs:element minOccurs="0" name="libelle" type="xs:string"/>
       <xs:element minOccurs="0" name="bUniStd" type="xs:boolean"/>
       <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="fslBean">
+  <xs:complexType name="birthInfoChildBean">
     <xs:sequence>
-      <xs:element name="dateDeb" type="xs:dateTime"/>
-      <xs:element name="dateFin" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="allergieAlimentaire" type="xs:string"/>
-      <xs:element minOccurs="0" name="allergieRespiratoire" type="xs:string"/>
-      <xs:element minOccurs="0" name="allergieAutre" type="xs:string"/>
-      <xs:element minOccurs="0" name="allergieMedicament" type="xs:string"/>
-      <xs:element minOccurs="0" name="asthme" type="xs:string"/>
-      <xs:element minOccurs="0" name="flPAI" type="xs:string"/>
-      <xs:element minOccurs="0" name="flImage" type="xs:string"/>
-      <xs:element minOccurs="0" name="dtcPrap1" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="obsMed1" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsMed2" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsMed3" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsDir1" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsDir2" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsDir3" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsAssist1" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsAssist2" type="xs:string"/>
-      <xs:element minOccurs="0" name="obsAssist3" type="xs:string"/>
-      <xs:element minOccurs="0" name="cons1Med" type="xs:string"/>
-      <xs:element minOccurs="0" name="cons2Med" type="xs:string"/>
+      <xs:element name="dateBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="place" type="xs:string"/>
+      <xs:element minOccurs="0" name="communeCode" type="xs:string"/>
+      <xs:element minOccurs="0" name="countryCode" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="paiInfoBean">
     <xs:sequence>
       <xs:element name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="description" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType abstract="true" name="abstractSpecResultBean">
-    <xs:complexContent>
-      <xs:extension base="tns:abstractSpecBean">
-        <xs:sequence/>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
   <xs:complexType name="isWSRunning">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="isWSRunningResponse">
     <xs:sequence>
       <xs:element name="isWSRunning" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateChildAutorization">
     <xs:sequence>
-      <xs:element name="updateChildAutorizationRequest" type="ns1:updateChildAutorizationRequestBean"/>
+      <xs:element name="updateChildAutorizationRequest" type="ns2:updateChildAutorizationRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateChildAutorizationResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCivilityList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCivilityListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readCSPList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCSPListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateFamilySituation">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element minOccurs="0" name="category" type="xs:string"/>
       <xs:element minOccurs="0" name="situation" type="xs:string"/>
       <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
@@ -296,31 +304,65 @@
   <xs:complexType name="getLevel">
     <xs:sequence>
       <xs:element name="personNumber" type="xs:int"/>
       <xs:element name="schoolYear" type="xs:int"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="getLevelResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="level" type="ns1:levelBean"/>
+      <xs:element minOccurs="0" name="level" type="ns2:levelBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="addChildVaccinList">
+    <xs:sequence>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element maxOccurs="unbounded" name="vaccinList" type="ns2:vaccinBean"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType name="addChildVaccinListResponse">
+    <xs:sequence/>
+  </xs:complexType>
   <xs:complexType name="createOrUpdateFSL">
     <xs:sequence>
-      <xs:element name="arg0" type="xs:int"/>
-      <xs:element name="arg1" type="tns:fslBean"/>
+      <xs:element name="personNumber" type="xs:int"/>
+      <xs:element name="fslBean" type="tns:fslBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="fslBean">
+    <xs:sequence>
+      <xs:element name="dateDeb" type="xs:dateTime"/>
+      <xs:element name="dateFin" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="allergieAlimentaire" type="xs:string"/>
+      <xs:element minOccurs="0" name="allergieRespiratoire" type="xs:string"/>
+      <xs:element minOccurs="0" name="allergieAutre" type="xs:string"/>
+      <xs:element minOccurs="0" name="allergieMedicament" type="xs:string"/>
+      <xs:element minOccurs="0" name="asthme" type="xs:string"/>
+      <xs:element minOccurs="0" name="flPAI" type="xs:string"/>
+      <xs:element minOccurs="0" name="flImage" type="xs:string"/>
+      <xs:element minOccurs="0" name="dtcPrap1" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="obsMed1" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsMed2" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsMed3" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsDir1" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsDir2" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsDir3" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsAssist1" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsAssist2" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsAssist3" type="xs:string"/>
+      <xs:element minOccurs="0" name="cons1Med" type="xs:string"/>
+      <xs:element minOccurs="0" name="cons2Med" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createOrUpdateFSLResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="subscribeSchool">
     <xs:sequence>
-      <xs:element name="subcribeSchoolRequestBean" type="ns1:subscribeSchoolRequestBean"/>
+      <xs:element name="subcribeSchoolRequestBean" type="ns2:subscribeSchoolRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeSchoolResponse">
     <xs:sequence>
       <xs:element minOccurs="0" name="subscribeSchoolResultBean" type="tns:subscribeSchoolResultBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeSchoolResultBean">
@@ -331,50 +373,73 @@
       <xs:element minOccurs="0" name="phone" type="xs:string"/>
       <xs:element minOccurs="0" name="adress" type="xs:string"/>
       <xs:element minOccurs="0" name="headmaster" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateFamilyEmergencyPersonList">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
-      <xs:element name="emergencyPersonList" type="ns1:emergencyPersonListBean"/>
+      <xs:element name="emergencyPersonList" type="ns2:emergencyPersonListBean"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType abstract="true" name="abstractSpecRequestBean">
+    <xs:complexContent>
+      <xs:extension base="tns:abstractSpecBean">
+        <xs:sequence/>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
   <xs:complexType name="updateFamilyEmergencyPersonListResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="updateCoordinate">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element name="numPerson" type="xs:int"/>
-      <xs:element name="adresse" type="ns1:addressBean"/>
-      <xs:element minOccurs="0" name="contact" type="ns1:contactBean"/>
-      <xs:element minOccurs="0" name="profession" type="ns1:professionBean"/>
-      <xs:element minOccurs="0" name="CAFInfo" type="ns1:cafInfoBean"/>
+      <xs:element name="adresse" type="ns2:addressBean"/>
+      <xs:element minOccurs="0" name="contact" type="ns2:contactBean"/>
+      <xs:element minOccurs="0" name="profession" type="ns2:professionBean"/>
+      <xs:element minOccurs="0" name="CAFInfo" type="ns2:cafInfoBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateCoordinateResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="updateFamily">
     <xs:sequence>
       <xs:element name="dossierNumber" type="xs:int"/>
-      <xs:element name="categorie" type="xs:string"/>
+      <xs:element name="category" type="xs:string"/>
       <xs:element name="situation" type="xs:string"/>
       <xs:element minOccurs="0" name="flagCom" type="xs:boolean"/>
       <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbTotalChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbAES" type="xs:int"/>
-      <xs:element minOccurs="0" name="rl1" type="tns:rlInfoBean"/>
-      <xs:element minOccurs="0" name="rl2" type="tns:rlInfoBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="childList" type="ns1:childInfoBean"/>
+      <xs:element minOccurs="0" name="rl1" type="tns:rlBean"/>
+      <xs:element minOccurs="0" name="rl2" type="tns:rlBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childList" type="ns2:childBean"/>
       <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" type="ns1:indicatorValueUpdBean"/>
-      <xs:element minOccurs="0" name="emergencyPersonList" type="ns1:emergencyPersonListBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" type="ns2:indicatorValueAddUpdBean"/>
+      <xs:element minOccurs="0" name="emergencyPersonList" type="ns2:emergencyPersonListBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="rlBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:string"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="maidenName" type="xs:string"/>
+      <xs:element name="quality" type="xs:string"/>
+      <xs:element name="civility" type="xs:string"/>
+      <xs:element minOccurs="0" name="birth" type="tns:birthInfoBean"/>
+      <xs:element name="adresse" type="ns2:addressBean"/>
+      <xs:element minOccurs="0" name="contact" type="ns2:contactBean"/>
+      <xs:element minOccurs="0" name="profession" type="ns2:professionBean"/>
+      <xs:element minOccurs="0" name="CAFInfo" type="ns2:cafInfoBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns2:indicatorValueAddUpdBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateFamilyResponse">
     <xs:sequence>
       <xs:element minOccurs="0" name="familyResult" type="tns:familyBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createUpdateQuotient">
@@ -382,24 +447,32 @@
       <xs:element name="dossierNumber" type="xs:int"/>
       <xs:element name="personNumber" type="xs:int"/>
       <xs:element name="quotient" type="tns:familyQuotientRedvBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createUpdateQuotientResponse">
     <xs:sequence/>
   </xs:complexType>
+  <xs:complexType name="readCountryList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readCountryListResponse">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+    </xs:sequence>
+  </xs:complexType>
   <xs:complexType name="getActivityRate">
     <xs:sequence>
-      <xs:element name="request" type="ns1:getActivityRateRequestBean"/>
+      <xs:element name="request" type="ns2:getActivityRateRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="getActivityRateResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="resultBean" type="ns1:getActivityRateResultBean"/>
+      <xs:element minOccurs="0" name="resultBean" type="ns2:getActivityRateResultBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="isRLExists">
     <xs:sequence>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="lastname" type="xs:string"/>
       <xs:element name="dateBirth" type="xs:dateTime"/>
     </xs:sequence>
